Loading...
Searching...
No Matches
caf::infer_handle_from_fun< F, Trait > Struct Template Reference

Deduces an actor handle type from a function or function object. More...

`#include <infer_handle.hpp>`

## Public Types

using | result_type = typename Trait::result_type
using | arg_types = typename Trait::arg_types
using | first_arg = typename detail::tl_head<arg_types>::type
using | delegate = infer_handle_from_fun_impl<result_type, first_arg>
using | type = typename delegate::type
using | impl = typename delegate::impl
using | behavior_type = typename delegate::behavior_type
using | fun_type = typename Trait::fun_type

## Static Public Attributes

static constexpr spawn_mode | mode = delegate::mode

## Related Symbols

(Note that these are not member symbols.)
template<class F>
using | infer_handle_from_fun_t = typename infer_handle_from_fun<F>::type
template<class T>
using | infer_impl_from_fun_t = typename infer_handle_from_fun<T>::impl

## Detailed Description

template<class F, class Trait = typename detail::get_callable_trait<F>::type>
struct caf::infer_handle_from_fun< F, Trait >

Deduces an actor handle type from a function or function object.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/infer_handle.hpp